Bug 1004832 - Version 3.4 (was: grey BG instead of selected BG) [NEEDINFO]
Version 3.4 (was: grey BG instead of selected BG)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: egtk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 10:55 EDT by Gene Czarcinski
Modified: 2015-04-21 14:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: egtk-3.4-2.fc22
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:30:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (gczarcinski)


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2013-09-05 10:55:27 EDT
Description of problem:
With the file manager (nautilus) handling the desktop on (org.gnome.desktop.background.show-desktop-icons is enabled) and this theme is selected for the Gtk+ theme, then the background is grey.  If the file manager is NOT handling the desktop, then the selected background is correctly displayed.

Note:  This is NOT the only theme with this problem.  So far as I cn tell, only the Adwaita, Zukitwo, and Zukiwi gtk3 themes do not have the problem.

Version-Release number of selected component (if applicable):
Fedora 19, gnome 3

How reproducible:
Everytime

Steps to Reproduce:
1.
2.
3.

Actual results:
correct background displayed only if file manager not handling the desktop.

Expected results:
correct background displayed

Additional info:
Apparently the rules changed.  The Adwaita theme was updated some time ago so it does not have the problem:

The themes probably needed to be updated because there was some change on the
gtk+ side. What makes me believe so are these changes which were made to
Adwaita (months before nautilus desktop changed):
https://git.gnome.org/browse/gnome-themes-standard/commit/?id=0019a41584317e73cdd3e3c06c8b2f0ce1978a21
https://git.gnome.org/browse/gnome-themes-standard/commit/?id=127d02f515dc5daa4e0af967c85030415dbf95e6

I would have thought that this interface change would have gotten more publicity.
Comment 1 Christopher Meng 2013-09-05 23:53:03 EDT
The version in Fedora is still 3.1 but not latest 3.4.

I think it's possible to update it to 3.4 and then test again to see if it still exists.

Ideas?
Comment 2 Mattia M. 2013-09-06 03:32:12 EDT
The eGTK theme is compatible with GTK+3.4. So, it will never work correctly on Fedora releases which ship with Gnome 3.6, 3.8 etc.
Comment 3 Raphael Groner 2014-03-01 06:34:06 EST
I have the issue in F20 that marked checkboxes are shown as unmarked, in KDE with gtk style theme and egtk is active as the gtk theme.
Comment 4 Raphael Groner 2014-10-26 05:26:33 EDT
Ping? Any news here?
Comment 5 Gene Czarcinski 2014-10-26 13:34:48 EDT
Suggestion: use another theme ... one that works.  Also, this does not look like it is fixed in rawhide either
Comment 6 Gene Czarcinski 2014-10-26 13:37:17 EDT
Yo, package maintainer ... there are a lot of more recent version of this package at https://launchpad.net/egtk
Comment 7 Raphael Groner 2014-10-26 14:25:45 EDT
(In reply to Gene Czarcinski from comment #5)
> Suggestion: use another theme ... one that works.  Also, this does not look
> like it is fixed in rawhide either

Your suggestion is at least a practicible workaround. But still, there should be some effort working with upstream to get this theme usable, see comment #2. Alternatively, delete the package from repo (or retire it). Third, you could use Requires with any gnome-shell dependency to show the package is specially designed for Gnome3 only.

Please do not annoy people with a lazy packager job. They may leave Fedora completely because disappointed by empty the four F promises.

Vote +1 to ship version 3.4 instead, comment #1.
Comment 8 Raphael Groner 2014-10-26 15:10:40 EDT
(In reply to Raphael Groner from comment #7)
> Third, you could use Requires with any gnome-shell dependency to show the
> package is specially designed for Gnome3 only.

That would not be senseful. There's egtk-xfwm4-theme, so it MUST support proper usage also for xfce.

Again:
> Vote +1 to ship version 3.4 instead, comment #1.
Comment 9 Fedora Admin XMLRPC Client 2015-01-21 13:33:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Jaroslav Reznik 2015-03-03 10:02:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 11 Fedora Admin XMLRPC Client 2015-03-31 07:07:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Update System 2015-03-31 07:35:17 EDT
egtk-3.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/egtk-3.4-1.fc22
Comment 13 Raphael Groner 2015-03-31 08:33:17 EDT
Hi Gene,

Fedora 19 is EOL currently. I've pushed updates for F21 and F22. Do you need also a fix for Fedora 20?
Comment 14 Fedora Update System 2015-03-31 08:35:08 EDT
egtk-3.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/egtk-3.4-1.fc21
Comment 15 Fedora Update System 2015-03-31 10:39:20 EDT
egtk-3.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/egtk-3.4-2.fc22
Comment 16 Fedora Update System 2015-03-31 11:00:44 EDT
egtk-3.4-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/egtk-3.4-2.fc21
Comment 17 Fedora Update System 2015-04-01 18:25:53 EDT
Package egtk-3.4-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing egtk-3.4-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5249/egtk-3.4-2.fc21
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2015-04-10 03:30:42 EDT
egtk-3.4-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-04-21 14:46:41 EDT
egtk-3.4-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.